Bug 1358145 (zendframework/zend-mvc-plugin-flashmesse) - Review Request: php-zendframework-zend-mvc-plugin-flashmessenger - Zend Framework Mvc-Plugin-FlashMessenger component
Summary: Review Request: php-zendframework-zend-mvc-plugin-flashmessenger - Zend Frame...
Keywords:
Status: CLOSED RAWHIDE
Alias: zendframework/zend-mvc-plugin-flashmesse
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1357393
TreeView+ depends on / blocked
 
Reported: 2016-07-20 07:51 UTC by Remi Collet
Modified: 2016-11-30 17:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-30 17:20:41 UTC
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (2.90 KB, text/plain)
2016-11-29 20:41 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (2.53 KB, text/plain)
2016-11-29 20:43 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (7.86 KB, text/plain)
2016-11-29 20:44 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2016-07-20 07:51:03 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/master/php/zend/php-zendframework-zend-mvc-plugin-flashmessenger/php-zendframework-zend-mvc-plugin-flashmessenger.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-zendframework-zend-mvc-plugin-flashmessenger-1.0.0-1.remi.src.rpm
Description: 
Flash messages derive from Rails, and are used to expose messages from one
action to the next, after which they are cleared; a typical use case is with
Post/Redirect/Get, where they are created in the POST handler, and then
displayed by the GET handler to indicate success or failure to the end-user.

This component provides a flash messenger controller plugin for zend-mvc
versions 3.0 and up.

* Issues at https://github.com/zendframework/zend-mvc-plugin-flashmessenger/issues
* Documentation is at https://zendframework.github.io/zend-mvc-plugin-flashmessenger/

Fedora Account System Username: remi

See https://fedoraproject.org/wiki/Changes/ZF3

Comment 1 Shawn Iwinski 2016-11-29 20:41:42 UTC
Created attachment 1226006 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST

Comment 2 Shawn Iwinski 2016-11-29 20:43:31 UTC
Created attachment 1226020 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST

Comment 3 Shawn Iwinski 2016-11-29 20:44:30 UTC
Created attachment 1226021 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1358145
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2016-11-29 20:47:31 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====

Comment 5 Gwyn Ciesla 2016-11-30 14:06:50 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-zendframework-zend-mvc-plugin-flashmessenger

Comment 6 Remi Collet 2016-11-30 17:20:41 UTC
Package:    php-zendframework-zend-mvc-plugin-flashmessenger-1.0.0-1.fc26
Status:     complete


Note You need to log in before you can comment on or make changes to this bug.